Criar tarefa recorrente

Criar tarefa recorrente. Consulte abaixo parâmetros, corpo da requisição e respostas definidos no contrato OpenAPI.

POST /FlowRecurringTask

Criar tarefa recorrente. Consulte abaixo parâmetros, corpo da requisição e respostas definidos no contrato OpenAPI.

Autenticação

Autenticação obrigatória. Envie sua chave de API de usuário no header X-API-Key.

Parâmetros

Esta operação não possui parâmetros de rota, query ou header.

Corpo da requisição

Content type: application/json · Schema: FlowRecurringTaskDto

PropriedadeTipoObrigatórioDescriçãoRestrições
idinteger · int32Não——
flowIdinteger · int32Não——
flowStageIdinteger · int32Não——
titlestringNão—aceita null
descriptionstringNão—aceita null
priorityinteger · int32Não——
payloadstringNão—aceita null
dueInMinutesinteger · int32Não—aceita null
patternTypeFlowRecurrencePatternTypeNão——
intervalinteger · int32Não——
daysOfWeekFlowRecurrenceDaysOfWeekNão——
firstDayOfWeekDayOfWeekNão——
dayOfMonthinteger · int32Não—aceita null
weekIndexFlowRecurrenceWeekIndexNão——
relativeDayTypeFlowRecurrenceRelativeDayTypeNão——
monthinteger · int32Não—aceita null
startDatestring · dateNão——
startTimestring · timeNão——
timeZoneIdstringNão—aceita null
rangeTypeFlowRecurrenceRangeTypeNão——
endDatestring · dateNão—aceita null
numberOfOccurrencesinteger · int32Não—aceita null
isActivebooleanNão——
nextOccurrenceAtUtcstring · date-timeNão—aceita null
lastOccurrenceAtUtcstring · date-timeNão—aceita null
generatedOccurrencesinteger · int32Não——
createdAtstring · date-timeNão—aceita null
createdByinteger · int32Não——
updatedAtstring · date-timeNão—aceita null
updatedByinteger · int32Não——

Exemplo de requisição

curl --request POST \
  --url 'https://api.zild.ai/FlowRecurringTask' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "id": 0,
  "flowId": 0,
  "flowStageId": 0,
  "title": "string",
  "description": "string",
  "priority": 0,
  "payload": "string",
  "dueInMinutes": 0,
  "patternType": 0,
  "interval": 0,
  "daysOfWeek": 0,
  "firstDayOfWeek": 0,
  "dayOfMonth": 0,
  "weekIndex": 1,
  "relativeDayType": 0,
  "month": 0,
  "startDate": "2026-09-22",
  "startTime": "string",
  "timeZoneId": "string",
  "rangeType": 0,
  "endDate": "2026-09-22",
  "numberOfOccurrences": 0,
  "isActive": true,
  "nextOccurrenceAtUtc": "2026-09-22T18:00:00Z",
  "lastOccurrenceAtUtc": "2026-09-22T18:00:00Z",
  "generatedOccurrences": 0,
  "createdAt": "2026-09-22T18:00:00Z",
  "createdBy": 0,
  "updatedAt": "2026-09-22T18:00:00Z",
  "updatedBy": 0
}'

Respostas

StatusDescriçãoCorpo da resposta
200OKNenhum corpo de resposta está definido.

Modelos de dados

DayOfWeek

0 = Sunday; 1 = Monday; 2 = Tuesday; 3 = Wednesday; 4 = Thursday; 5 = Friday; 6 = Saturday

integer

FlowRecurrenceDaysOfWeek

0 = None; 1 = Sunday; 2 = Monday; 4 = Tuesday; 8 = Wednesday; 16 = Thursday; 32 = Friday; 62 = Weekdays; 64 = Saturday; 65 = WeekendDays; 127 = All

integer

FlowRecurrencePatternType

0 = Minutely; 1 = Hourly; 2 = Daily; 3 = Weekly; 4 = AbsoluteMonthly; 5 = RelativeMonthly; 6 = AbsoluteYearly; 7 = RelativeYearly

integer

FlowRecurrenceRangeType

0 = NoEnd; 1 = EndDate; 2 = Numbered

integer

FlowRecurrenceRelativeDayType

0 = SpecificDays; 1 = Day; 2 = Weekday; 3 = WeekendDay

integer

FlowRecurrenceWeekIndex

1 = First; 2 = Second; 3 = Third; 4 = Fourth; 5 = Last

integer

FlowRecurringTaskDto
PropriedadeTipoObrigatórioDescriçãoRestrições
idinteger · int32Não——
flowIdinteger · int32Não——
flowStageIdinteger · int32Não——
titlestringNão—aceita null
descriptionstringNão—aceita null
priorityinteger · int32Não——
payloadstringNão—aceita null
dueInMinutesinteger · int32Não—aceita null
patternTypeFlowRecurrencePatternTypeNão——
intervalinteger · int32Não——
daysOfWeekFlowRecurrenceDaysOfWeekNão——
firstDayOfWeekDayOfWeekNão——
dayOfMonthinteger · int32Não—aceita null
weekIndexFlowRecurrenceWeekIndexNão——
relativeDayTypeFlowRecurrenceRelativeDayTypeNão——
monthinteger · int32Não—aceita null
startDatestring · dateNão——
startTimestring · timeNão——
timeZoneIdstringNão—aceita null
rangeTypeFlowRecurrenceRangeTypeNão——
endDatestring · dateNão—aceita null
numberOfOccurrencesinteger · int32Não—aceita null
isActivebooleanNão——
nextOccurrenceAtUtcstring · date-timeNão—aceita null
lastOccurrenceAtUtcstring · date-timeNão—aceita null
generatedOccurrencesinteger · int32Não——
createdAtstring · date-timeNão—aceita null
createdByinteger · int32Não——
updatedAtstring · date-timeNão—aceita null
updatedByinteger · int32Não——